;; This "home-environment" file can be passed to 'guix home reconfigure'
;; to reproduce the content of your profile.  This is "symbolic": it only
;; specifies package names.  To reproduce the exact same profile, you also
;; need to capture the channels being used, as returned by "guix describe".
;; See the "Replicating Guix" section in the manual.

(use-modules (gnu home)
             (gnu home services)
             (gnu packages)
	     (gnu packages vim)
	     (gnu packages rust-apps)
	     (gnu packages video)
             (gnu services)
             (guix gexp)
             (gnu home services shells))

(home-environment
  ;; Below is the list of packages that will show up in your
  ;; Home profile, under ~/.guix-home/profile.
  (packages (specifications->packages (list "vim"
                                            "exa"
					    "mpv"
					    "mpv-mpris"
					    "yt-dlp"
                                            "ripgrep"
                                            "alacritty"
                                            "nextcloud-client"
                                            "rofi-wayland"
                                            "fd"
                                            "ffmpeg"
                                            "dolphin"
                                            "emacs-next-pgtk"
                                            "emacs-all-the-icons"
                                            "emacs-org-roam"
                                            "emacs-doom-modeline"
                                            "emacs-doom-themes"
                                            "emacs-org"
                                            "emacs-elfeed"
                                            "emacs-elfeed-org"
                                            "emacs-use-package"
                                            "emacs-general"
                                            "emacs-evil"
                                            "emacs-evil-collection"
                                            "emacs-no-littering"
                                            "emacs-evil-escape"
                                            "emacs-smartparens"
                                            "emacs-evil-org"
                                            "emacs-evil-smartparens"
                                            "emacs-aggressive-indent"
                                            "emacs-adaptive-wrap"
                                            "emacs-which-key"
                                            "emacs-evil-surround"
                                            "emacs-websocket"
                                            "emacs-org-modern"
                                            "emacs-org-re-reveal"
                                            "emacs-emojify"
                                            "emacs-pulsar"
                                            "emacs-vertico"
                                            "emacs-consult"
                                            "emacs-tempel"
                                            "emacs-marginalia"
                                            "emacs-embark"
                                            "emacs-wgrep"
                                            "emacs-corfu"
                                            "emacs-cape"
                                            "emacs-rainbow-delimiters"
                                            "emacs-orderless"
                                            "emacs-kind-icon"
                                            "emacs-projectile"
                                            "emacs-simple-httpd"
                                            "emacs-direnv"
                                            "emacs-diredfl"
                                            "emacs-pdf-tools"
                                            "emacs-plz"
                                            "emacs-ement"
                                            "emacs-gcmh"
                                            "emacs-visual-fill-column"
                                            "emacs-eat"
                                            "emacs-all-the-icons-dired"
                                            "emacs-all-the-icons-completion"
                                            "emacs-org-super-agenda"
                                            "emacs-toc-org"
                                            "emacs-dired-sidebar"
                                            "emacs-ledger-mode"
                                            "emacs-ob-restclient"
                                            "emacs-guix"
                                            "emacs-nix-mode"
                                            "emacs-helpful"
                                            ;; "emacs-mu4e"
                                            "mu"
                                            )))

  ;; Below is the list of Home services.  To search for available
  ;; services, run 'guix home search KEYWORD' in a terminal.
  (services
   (list (service home-bash-service-type
                  (home-bash-configuration
                   (guix-defaults? #t)
                   (aliases '(("grep" . "grep --color=auto")
                              ("ll" . "ls -l")
                              ("ls" . "exa -l")
                              ("la" . "exa -la")))))
         (service home-fish-service-type
                  (home-fish-configuration
                   (aliases '(("ls" . "exa -l")
                              ("gh" . "guix home reconfigure ~/.files/guix/home.scm")))))
         (service home-xdg-configuration-files-service-type
                  `(("hypr/hyprland.conf" ,(local-file "../.config/hypr/hyprland.conf"))
                    ("alacritty/alacritty.yml" ,(local-file "../.config/alacritty/alacritty.yml")))))))
